/* General Styles */
body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: black;
}

.logo a{
    text-decoration: none;
    color: #f4a523;
}

/* .header {
    background-color: #f4a523;
    color: white;
    padding: 10px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
} */

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background-color: #f8f8f8;
    border-bottom: 2px solid #ddd;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 15px;
    margin: 0;
}

.nav-links li {
    cursor: pointer;
}

.nav-links  a {
    text-decoration: none;
    color: #333;
    font-weight: 500;
}


.nav-links  a:hover {
    color: black;
    background-color: transparent;
    border-bottom: 1px solid #f4a523;
    border-top: 1px solid #f4a523;
    padding: 5px;
    transition: all 0.3s ease;
}

.contact-btn {
    background-color:#f4a523 ;
    color: #333;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 5px;
}

.contact-btn:hover {
    background-color:transparent;
    color: black;
    border: 1px solid #f4a523;
}

.main-content {
    padding: 20px;
    text-align: center;
}

.portfolio h2 {
    color: #333;
}

.portfolio-categories {
    margin: 20px 0;
}

.portfolio-categories button {
    margin: 5px;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    background-color: #f4a523;
    color: white;
    border-radius: 5px;
}

.portfolio-categories button:hover {
    background-color:transparent;
    color: white;
    border: 1px solid #f4a523;
}

/* Portfolio Grid */
.portfolio-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 20px;
    margin: 20px auto;
    max-width: 1200px;
    font-size: 30px;
}

h1{
    color: #f4a523;
}

.portfolio p{
    color: #f8f8f8;
}

.card {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.card img {
    width: 100%;
    height: auto;
    display: block;
}

.card-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #f4a523;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.card-overlay p {
    font-size: 20px;
    margin-bottom: 10px;
}

.card:hover .card-overlay {
    opacity: 1;
}

/* Responsive Grid */
@media screen and (max-width: 768px) {
    .nav-links {
        display: none;
    }

    .contact-btn {
        margin-top: 0;
    }
    .portfolio-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 480px) {
    .portfolio-grid {
        grid-template-columns: 1fr;
    }
}
